# trace generated using paraview version 5.9.1

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'

def process_data(index_model, distance_range, step):

    ResetSession()

    paraview.simple._DisableFirstRenderCameraReset ()

    # create a new 'STL Reader'
    sphere0stl = STLReader (registrationName='sphere' + str (index_model) + '.stl',
                            FileNames=[
                                'C:\\Users\\utente\\Desktop\\PythonRhino\\Models\\sphere' + str (index_model) + '.stl'])

    # get active view
    renderView1 = GetActiveViewOrCreate('RenderView')

    # show data in view
    sphere0stlDisplay = Show(sphere0stl, renderView1, 'GeometryRepresentation')

    # trace defaults for the display properties.
    sphere0stlDisplay.Selection = None
    sphere0stlDisplay.Representation = 'Surface'
    sphere0stlDisplay.ColorArrayName = [None, '']
    sphere0stlDisplay.LookupTable = None
    sphere0stlDisplay.MapScalars = 1
    sphere0stlDisplay.MultiComponentsMapping = 0
    sphere0stlDisplay.InterpolateScalarsBeforeMapping = 1
    sphere0stlDisplay.Opacity = 1.0
    sphere0stlDisplay.PointSize = 2.0
    sphere0stlDisplay.LineWidth = 1.0
    sphere0stlDisplay.RenderLinesAsTubes = 0
    sphere0stlDisplay.RenderPointsAsSpheres = 0
    sphere0stlDisplay.Interpolation = 'Gouraud'
    sphere0stlDisplay.Specular = 0.0
    sphere0stlDisplay.SpecularColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.SpecularPower = 100.0
    sphere0stlDisplay.Luminosity = 0.0
    sphere0stlDisplay.Ambient = 0.0
    sphere0stlDisplay.Diffuse = 1.0
    sphere0stlDisplay.Roughness = 0.3
    sphere0stlDisplay.Metallic = 0.0
    sphere0stlDisplay.EdgeTint = [1.0, 1.0, 1.0]
    sphere0stlDisplay.SelectTCoordArray = 'None'
    sphere0stlDisplay.SelectNormalArray = 'None'
    sphere0stlDisplay.SelectTangentArray = 'None'
    sphere0stlDisplay.Texture = None
    sphere0stlDisplay.RepeatTextures = 1
    sphere0stlDisplay.InterpolateTextures = 0
    sphere0stlDisplay.SeamlessU = 0
    sphere0stlDisplay.SeamlessV = 0
    sphere0stlDisplay.UseMipmapTextures = 0
    sphere0stlDisplay.BaseColorTexture = None
    sphere0stlDisplay.NormalTexture = None
    sphere0stlDisplay.NormalScale = 1.0
    sphere0stlDisplay.MaterialTexture = None
    sphere0stlDisplay.OcclusionStrength = 1.0
    sphere0stlDisplay.EmissiveTexture = None
    sphere0stlDisplay.EmissiveFactor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.FlipTextures = 0
    sphere0stlDisplay.BackfaceRepresentation = 'Follow Frontface'
    sphere0stlDisplay.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.BackfaceOpacity = 1.0
    sphere0stlDisplay.Position = [0.0, 0.0, 0.0]
    sphere0stlDisplay.Scale = [1.0, 1.0, 1.0]
    sphere0stlDisplay.Orientation = [0.0, 0.0, 0.0]
    sphere0stlDisplay.Origin = [0.0, 0.0, 0.0]
    sphere0stlDisplay.CoordinateShiftScaleMethod = 'Always Auto Shift Scale'
    sphere0stlDisplay.Pickable = 1
    sphere0stlDisplay.Triangulate = 0
    sphere0stlDisplay.UseShaderReplacements = 0
    sphere0stlDisplay.ShaderReplacements = ''
    sphere0stlDisplay.NonlinearSubdivisionLevel = 1
    sphere0stlDisplay.UseDataPartitions = 0
    sphere0stlDisplay.OSPRayUseScaleArray = 'All Approximate'
    sphere0stlDisplay.OSPRayScaleArray = ''
    sphere0stlDisplay.OSPRayScaleFunction = 'PiecewiseFunction'
    sphere0stlDisplay.OSPRayMaterial = 'None'
    sphere0stlDisplay.Orient = 0
    sphere0stlDisplay.OrientationMode = 'Direction'
    sphere0stlDisplay.SelectOrientationVectors = 'None'
    sphere0stlDisplay.Scaling = 0
    sphere0stlDisplay.ScaleMode = 'No Data Scaling Off'
    sphere0stlDisplay.ScaleFactor = 0.6800003051757812
    sphere0stlDisplay.SelectScaleArray = 'None'
    sphere0stlDisplay.GlyphType = 'Arrow'
    sphere0stlDisplay.UseGlyphTable = 0
    sphere0stlDisplay.GlyphTableIndexArray = 'None'
    sphere0stlDisplay.UseCompositeGlyphTable = 0
    sphere0stlDisplay.UseGlyphCullingAndLOD = 0
    sphere0stlDisplay.LODValues = []
    sphere0stlDisplay.ColorByLODIndex = 0
    sphere0stlDisplay.GaussianRadius = 0.03400001525878906
    sphere0stlDisplay.ShaderPreset = 'Sphere'
    sphere0stlDisplay.CustomTriangleScale = 3
    sphere0stlDisplay.CustomShader = """ // This custom shader code define a gaussian blur
    // Please take a look into vtkSMPointGaussianRepresentation.cxx
    // for other custom shader examples
    //VTK::Color::Impl
    float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
    float gaussian = exp(-0.5*dist2);
    opacity = opacity*gaussian;
    """
    sphere0stlDisplay.Emissive = 0
    sphere0stlDisplay.ScaleByArray = 0
    sphere0stlDisplay.SetScaleArray = [None, '']
    sphere0stlDisplay.ScaleArrayComponent = 0
    sphere0stlDisplay.UseScaleFunction = 1
    sphere0stlDisplay.ScaleTransferFunction = 'PiecewiseFunction'
    sphere0stlDisplay.OpacityByArray = 0
    sphere0stlDisplay.OpacityArray = [None, '']
    sphere0stlDisplay.OpacityArrayComponent = 0
    sphere0stlDisplay.OpacityTransferFunction = 'PiecewiseFunction'
    sphere0stlDisplay.DataAxesGrid = 'GridAxesRepresentation'
    sphere0stlDisplay.SelectionCellLabelBold = 0
    sphere0stlDisplay.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    sphere0stlDisplay.SelectionCellLabelFontFamily = 'Arial'
    sphere0stlDisplay.SelectionCellLabelFontFile = ''
    sphere0stlDisplay.SelectionCellLabelFontSize = 18
    sphere0stlDisplay.SelectionCellLabelItalic = 0
    sphere0stlDisplay.SelectionCellLabelJustification = 'Left'
    sphere0stlDisplay.SelectionCellLabelOpacity = 1.0
    sphere0stlDisplay.SelectionCellLabelShadow = 0
    sphere0stlDisplay.SelectionPointLabelBold = 0
    sphere0stlDisplay.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    sphere0stlDisplay.SelectionPointLabelFontFamily = 'Arial'
    sphere0stlDisplay.SelectionPointLabelFontFile = ''
    sphere0stlDisplay.SelectionPointLabelFontSize = 18
    sphere0stlDisplay.SelectionPointLabelItalic = 0
    sphere0stlDisplay.SelectionPointLabelJustification = 'Left'
    sphere0stlDisplay.SelectionPointLabelOpacity = 1.0
    sphere0stlDisplay.SelectionPointLabelShadow = 0
    sphere0stlDisplay.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    sphere0stlDisplay.OSPRayScaleFunction.Points = [0.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
    sphere0stlDisplay.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    sphere0stlDisplay.GlyphType.TipResolution = 6
    sphere0stlDisplay.GlyphType.TipRadius = 0.1
    sphere0stlDisplay.GlyphType.TipLength = 0.35
    sphere0stlDisplay.GlyphType.ShaftResolution = 6
    sphere0stlDisplay.GlyphType.ShaftRadius = 0.03
    sphere0stlDisplay.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    sphere0stlDisplay.ScaleTransferFunction.Points = [0.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
    sphere0stlDisplay.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    sphere0stlDisplay.OpacityTransferFunction.Points = [0.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
    sphere0stlDisplay.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    sphere0stlDisplay.DataAxesGrid.XTitle = 'X Axis'
    sphere0stlDisplay.DataAxesGrid.YTitle = 'Y Axis'
    sphere0stlDisplay.DataAxesGrid.ZTitle = 'Z Axis'
    sphere0stlDisplay.DataAxesGrid.XTitleFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.XTitleFontFile = ''
    sphere0stlDisplay.DataAxesGrid.XTitleBold = 0
    sphere0stlDisplay.DataAxesGrid.XTitleItalic = 0
    sphere0stlDisplay.DataAxesGrid.XTitleFontSize = 12
    sphere0stlDisplay.DataAxesGrid.XTitleShadow = 0
    sphere0stlDisplay.DataAxesGrid.XTitleOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.YTitleFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.YTitleFontFile = ''
    sphere0stlDisplay.DataAxesGrid.YTitleBold = 0
    sphere0stlDisplay.DataAxesGrid.YTitleItalic = 0
    sphere0stlDisplay.DataAxesGrid.YTitleFontSize = 12
    sphere0stlDisplay.DataAxesGrid.YTitleShadow = 0
    sphere0stlDisplay.DataAxesGrid.YTitleOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.ZTitleFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.ZTitleFontFile = ''
    sphere0stlDisplay.DataAxesGrid.ZTitleBold = 0
    sphere0stlDisplay.DataAxesGrid.ZTitleItalic = 0
    sphere0stlDisplay.DataAxesGrid.ZTitleFontSize = 12
    sphere0stlDisplay.DataAxesGrid.ZTitleShadow = 0
    sphere0stlDisplay.DataAxesGrid.ZTitleOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.FacesToRender = 63
    sphere0stlDisplay.DataAxesGrid.CullBackface = 0
    sphere0stlDisplay.DataAxesGrid.CullFrontface = 1
    sphere0stlDisplay.DataAxesGrid.ShowGrid = 0
    sphere0stlDisplay.DataAxesGrid.ShowEdges = 1
    sphere0stlDisplay.DataAxesGrid.ShowTicks = 1
    sphere0stlDisplay.DataAxesGrid.LabelUniqueEdgesOnly = 1
    sphere0stlDisplay.DataAxesGrid.AxesToLabel = 63
    sphere0stlDisplay.DataAxesGrid.XLabelFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.XLabelFontFile = ''
    sphere0stlDisplay.DataAxesGrid.XLabelBold = 0
    sphere0stlDisplay.DataAxesGrid.XLabelItalic = 0
    sphere0stlDisplay.DataAxesGrid.XLabelFontSize = 12
    sphere0stlDisplay.DataAxesGrid.XLabelShadow = 0
    sphere0stlDisplay.DataAxesGrid.XLabelOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.YLabelFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.YLabelFontFile = ''
    sphere0stlDisplay.DataAxesGrid.YLabelBold = 0
    sphere0stlDisplay.DataAxesGrid.YLabelItalic = 0
    sphere0stlDisplay.DataAxesGrid.YLabelFontSize = 12
    sphere0stlDisplay.DataAxesGrid.YLabelShadow = 0
    sphere0stlDisplay.DataAxesGrid.YLabelOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.ZLabelFontFamily = 'Arial'
    sphere0stlDisplay.DataAxesGrid.ZLabelFontFile = ''
    sphere0stlDisplay.DataAxesGrid.ZLabelBold = 0
    sphere0stlDisplay.DataAxesGrid.ZLabelItalic = 0
    sphere0stlDisplay.DataAxesGrid.ZLabelFontSize = 12
    sphere0stlDisplay.DataAxesGrid.ZLabelShadow = 0
    sphere0stlDisplay.DataAxesGrid.ZLabelOpacity = 1.0
    sphere0stlDisplay.DataAxesGrid.XAxisNotation = 'Mixed'
    sphere0stlDisplay.DataAxesGrid.XAxisPrecision = 2
    sphere0stlDisplay.DataAxesGrid.XAxisUseCustomLabels = 0
    sphere0stlDisplay.DataAxesGrid.XAxisLabels = []
    sphere0stlDisplay.DataAxesGrid.YAxisNotation = 'Mixed'
    sphere0stlDisplay.DataAxesGrid.YAxisPrecision = 2
    sphere0stlDisplay.DataAxesGrid.YAxisUseCustomLabels = 0
    sphere0stlDisplay.DataAxesGrid.YAxisLabels = []
    sphere0stlDisplay.DataAxesGrid.ZAxisNotation = 'Mixed'
    sphere0stlDisplay.DataAxesGrid.ZAxisPrecision = 2
    sphere0stlDisplay.DataAxesGrid.ZAxisUseCustomLabels = 0
    sphere0stlDisplay.DataAxesGrid.ZAxisLabels = []
    sphere0stlDisplay.DataAxesGrid.UseCustomBounds = 0
    sphere0stlDisplay.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    sphere0stlDisplay.PolarAxes.Visibility = 0
    sphere0stlDisplay.PolarAxes.Translation = [0.0, 0.0, 0.0]
    sphere0stlDisplay.PolarAxes.Scale = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    sphere0stlDisplay.PolarAxes.EnableCustomBounds = [0, 0, 0]
    sphere0stlDisplay.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    sphere0stlDisplay.PolarAxes.EnableCustomRange = 0
    sphere0stlDisplay.PolarAxes.CustomRange = [0.0, 1.0]
    sphere0stlDisplay.PolarAxes.PolarAxisVisibility = 1
    sphere0stlDisplay.PolarAxes.RadialAxesVisibility = 1
    sphere0stlDisplay.PolarAxes.DrawRadialGridlines = 1
    sphere0stlDisplay.PolarAxes.PolarArcsVisibility = 1
    sphere0stlDisplay.PolarAxes.DrawPolarArcsGridlines = 1
    sphere0stlDisplay.PolarAxes.NumberOfRadialAxes = 0
    sphere0stlDisplay.PolarAxes.AutoSubdividePolarAxis = 1
    sphere0stlDisplay.PolarAxes.NumberOfPolarAxis = 0
    sphere0stlDisplay.PolarAxes.MinimumRadius = 0.0
    sphere0stlDisplay.PolarAxes.MinimumAngle = 0.0
    sphere0stlDisplay.PolarAxes.MaximumAngle = 90.0
    sphere0stlDisplay.PolarAxes.RadialAxesOriginToPolarAxis = 1
    sphere0stlDisplay.PolarAxes.Ratio = 1.0
    sphere0stlDisplay.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    sphere0stlDisplay.PolarAxes.PolarAxisTitleVisibility = 1
    sphere0stlDisplay.PolarAxes.PolarAxisTitle = 'Radial Distance'
    sphere0stlDisplay.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    sphere0stlDisplay.PolarAxes.PolarLabelVisibility = 1
    sphere0stlDisplay.PolarAxes.PolarLabelFormat = '%-#6.3g'
    sphere0stlDisplay.PolarAxes.PolarLabelExponentLocation = 'Labels'
    sphere0stlDisplay.PolarAxes.RadialLabelVisibility = 1
    sphere0stlDisplay.PolarAxes.RadialLabelFormat = '%-#3.1f'
    sphere0stlDisplay.PolarAxes.RadialLabelLocation = 'Bottom'
    sphere0stlDisplay.PolarAxes.RadialUnitsVisibility = 1
    sphere0stlDisplay.PolarAxes.ScreenSize = 10.0
    sphere0stlDisplay.PolarAxes.PolarAxisTitleOpacity = 1.0
    sphere0stlDisplay.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    sphere0stlDisplay.PolarAxes.PolarAxisTitleFontFile = ''
    sphere0stlDisplay.PolarAxes.PolarAxisTitleBold = 0
    sphere0stlDisplay.PolarAxes.PolarAxisTitleItalic = 0
    sphere0stlDisplay.PolarAxes.PolarAxisTitleShadow = 0
    sphere0stlDisplay.PolarAxes.PolarAxisTitleFontSize = 12
    sphere0stlDisplay.PolarAxes.PolarAxisLabelOpacity = 1.0
    sphere0stlDisplay.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    sphere0stlDisplay.PolarAxes.PolarAxisLabelFontFile = ''
    sphere0stlDisplay.PolarAxes.PolarAxisLabelBold = 0
    sphere0stlDisplay.PolarAxes.PolarAxisLabelItalic = 0
    sphere0stlDisplay.PolarAxes.PolarAxisLabelShadow = 0
    sphere0stlDisplay.PolarAxes.PolarAxisLabelFontSize = 12
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextOpacity = 1.0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextFontFile = ''
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextBold = 0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextItalic = 0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextShadow = 0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTextFontSize = 12
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextBold = 0
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextItalic = 0
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextShadow = 0
    sphere0stlDisplay.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    sphere0stlDisplay.PolarAxes.EnableDistanceLOD = 1
    sphere0stlDisplay.PolarAxes.DistanceLODThreshold = 0.7
    sphere0stlDisplay.PolarAxes.EnableViewAngleLOD = 1
    sphere0stlDisplay.PolarAxes.ViewAngleLODThreshold = 0.7
    sphere0stlDisplay.PolarAxes.SmallestVisiblePolarAngle = 0.5
    sphere0stlDisplay.PolarAxes.PolarTicksVisibility = 1
    sphere0stlDisplay.PolarAxes.ArcTicksOriginToPolarAxis = 1
    sphere0stlDisplay.PolarAxes.TickLocation = 'Both'
    sphere0stlDisplay.PolarAxes.AxisTickVisibility = 1
    sphere0stlDisplay.PolarAxes.AxisMinorTickVisibility = 0
    sphere0stlDisplay.PolarAxes.ArcTickVisibility = 1
    sphere0stlDisplay.PolarAxes.ArcMinorTickVisibility = 0
    sphere0stlDisplay.PolarAxes.DeltaAngleMajor = 10.0
    sphere0stlDisplay.PolarAxes.DeltaAngleMinor = 5.0
    sphere0stlDisplay.PolarAxes.PolarAxisMajorTickSize = 0.0
    sphere0stlDisplay.PolarAxes.PolarAxisTickRatioSize = 0.3
    sphere0stlDisplay.PolarAxes.PolarAxisMajorTickThickness = 1.0
    sphere0stlDisplay.PolarAxes.PolarAxisTickRatioThickness = 0.5
    sphere0stlDisplay.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    sphere0stlDisplay.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    sphere0stlDisplay.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    sphere0stlDisplay.PolarAxes.ArcMajorTickSize = 0.0
    sphere0stlDisplay.PolarAxes.ArcTickRatioSize = 0.3
    sphere0stlDisplay.PolarAxes.ArcMajorTickThickness = 1.0
    sphere0stlDisplay.PolarAxes.ArcTickRatioThickness = 0.5
    sphere0stlDisplay.PolarAxes.Use2DMode = 0
    sphere0stlDisplay.PolarAxes.UseLogAxis = 0

    # reset view to fit data
    renderView1.ResetCamera()

    # get the material library
    materialLibrary1 = GetMaterialLibrary()

    # update the view to ensure updated data information
    renderView1.Update()

    # create a new 'Programmable Filter'
    programmableFilter1 = ProgrammableFilter(registrationName='ProgrammableFilter1', Input=sphere0stl)
    programmableFilter1.OutputDataSetType = 'Same as Input'
    programmableFilter1.Script = ''
    programmableFilter1.RequestInformationScript = ''
    programmableFilter1.RequestUpdateExtentScript = ''
    programmableFilter1.CopyArrays = 0
    programmableFilter1.PythonPath = ''

    # Properties modified on programmableFilter1
    programmableFilter1.Script = """import paraview.vtk as vtk
import numpy as np

mesh = self.GetPolyDataInput()
center = mesh.GetCenter()

pdd = vtk.vtkImplicitPolyDataDistance()
pdd.SetInput(mesh)

# Setup a grid
points = vtk.vtkPoints()
step = """ + str(step) + """
for x in np.arange(center[0] - """ + str(distance_range) + """,center[0] + """ + str(distance_range) + """, step):
\tfor y in np.arange(center[1] - """ + str(distance_range) + """,center[1] + """ + str(distance_range) + """, step):
\t\tfor z in np.arange(center[2] - """ + str(distance_range) + """,center[2] + """ + str(distance_range) + """, step):
\t\t\tpoints.InsertNextPoint(x, y, z)

# Add distances to each point
signedDistances = vtk.vtkFloatArray()
signedDistances.SetNumberOfComponents(1)
signedDistances.SetName('SignedDistances')

# Evaluate the signed distance function at all of the grid points
for pointId in range(points.GetNumberOfPoints()):
\tp = points.GetPoint(pointId)
\tsignedDistance = pdd.EvaluateFunction(p)
\tsignedDistances.InsertNextValue(signedDistance)

polyData = vtk.vtkPolyData()
polyData.SetPoints(points)
polyData.GetPointData().SetScalars(signedDistances)

output =  self.GetPolyDataOutput();
output.CopyStructure(polyData)
output.GetPointData().AddArray(signedDistances)
output.GetPointData().SetActiveScalars('SignedDistances')"""
    programmableFilter1.RequestInformationScript = ''
    programmableFilter1.RequestUpdateExtentScript = ''
    programmableFilter1.PythonPath = ''

    # show data in view
    programmableFilter1Display = Show(programmableFilter1, renderView1, 'GeometryRepresentation')

    # get color transfer function/color map for 'SignedDistances'
    signedDistancesLUT = GetColorTransferFunction('SignedDistances')

    # trace defaults for the display properties.
    programmableFilter1Display.Selection = None
    programmableFilter1Display.Representation = 'Surface'
    programmableFilter1Display.ColorArrayName = ['POINTS', 'SignedDistances']
    programmableFilter1Display.LookupTable = signedDistancesLUT
    programmableFilter1Display.MapScalars = 1
    programmableFilter1Display.MultiComponentsMapping = 0
    programmableFilter1Display.InterpolateScalarsBeforeMapping = 1
    programmableFilter1Display.Opacity = 1.0
    programmableFilter1Display.PointSize = 2.0
    programmableFilter1Display.LineWidth = 1.0
    programmableFilter1Display.RenderLinesAsTubes = 0
    programmableFilter1Display.RenderPointsAsSpheres = 0
    programmableFilter1Display.Interpolation = 'Gouraud'
    programmableFilter1Display.Specular = 0.0
    programmableFilter1Display.SpecularColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.SpecularPower = 100.0
    programmableFilter1Display.Luminosity = 0.0
    programmableFilter1Display.Ambient = 0.0
    programmableFilter1Display.Diffuse = 1.0
    programmableFilter1Display.Roughness = 0.3
    programmableFilter1Display.Metallic = 0.0
    programmableFilter1Display.EdgeTint = [1.0, 1.0, 1.0]
    programmableFilter1Display.SelectTCoordArray = 'None'
    programmableFilter1Display.SelectNormalArray = 'None'
    programmableFilter1Display.SelectTangentArray = 'None'
    programmableFilter1Display.Texture = None
    programmableFilter1Display.RepeatTextures = 1
    programmableFilter1Display.InterpolateTextures = 0
    programmableFilter1Display.SeamlessU = 0
    programmableFilter1Display.SeamlessV = 0
    programmableFilter1Display.UseMipmapTextures = 0
    programmableFilter1Display.BaseColorTexture = None
    programmableFilter1Display.NormalTexture = None
    programmableFilter1Display.NormalScale = 1.0
    programmableFilter1Display.MaterialTexture = None
    programmableFilter1Display.OcclusionStrength = 1.0
    programmableFilter1Display.EmissiveTexture = None
    programmableFilter1Display.EmissiveFactor = [1.0, 1.0, 1.0]
    programmableFilter1Display.FlipTextures = 0
    programmableFilter1Display.BackfaceRepresentation = 'Follow Frontface'
    programmableFilter1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.BackfaceOpacity = 1.0
    programmableFilter1Display.Position = [0.0, 0.0, 0.0]
    programmableFilter1Display.Scale = [1.0, 1.0, 1.0]
    programmableFilter1Display.Orientation = [0.0, 0.0, 0.0]
    programmableFilter1Display.Origin = [0.0, 0.0, 0.0]
    programmableFilter1Display.CoordinateShiftScaleMethod = 'Always Auto Shift Scale'
    programmableFilter1Display.Pickable = 1
    programmableFilter1Display.Triangulate = 0
    programmableFilter1Display.UseShaderReplacements = 0
    programmableFilter1Display.ShaderReplacements = ''
    programmableFilter1Display.NonlinearSubdivisionLevel = 1
    programmableFilter1Display.UseDataPartitions = 0
    programmableFilter1Display.OSPRayUseScaleArray = 'All Approximate'
    programmableFilter1Display.OSPRayScaleArray = 'SignedDistances'
    programmableFilter1Display.OSPRayScaleFunction = 'PiecewiseFunction'
    programmableFilter1Display.OSPRayMaterial = 'None'
    programmableFilter1Display.Orient = 0
    programmableFilter1Display.OrientationMode = 'Direction'
    programmableFilter1Display.SelectOrientationVectors = 'None'
    programmableFilter1Display.Scaling = 0
    programmableFilter1Display.ScaleMode = 'No Data Scaling Off'
    programmableFilter1Display.ScaleFactor = 0.39000015258789067
    programmableFilter1Display.SelectScaleArray = 'SignedDistances'
    programmableFilter1Display.GlyphType = 'Arrow'
    programmableFilter1Display.UseGlyphTable = 0
    programmableFilter1Display.GlyphTableIndexArray = 'SignedDistances'
    programmableFilter1Display.UseCompositeGlyphTable = 0
    programmableFilter1Display.UseGlyphCullingAndLOD = 0
    programmableFilter1Display.LODValues = []
    programmableFilter1Display.ColorByLODIndex = 0
    programmableFilter1Display.GaussianRadius = 0.019500007629394533
    programmableFilter1Display.ShaderPreset = 'Sphere'
    programmableFilter1Display.CustomTriangleScale = 3
    programmableFilter1Display.CustomShader = """ // This custom shader code define a gaussian blur
    // Please take a look into vtkSMPointGaussianRepresentation.cxx
    // for other custom shader examples
    //VTK::Color::Impl
    float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
    float gaussian = exp(-0.5*dist2);
    opacity = opacity*gaussian;
    """
    programmableFilter1Display.Emissive = 0
    programmableFilter1Display.ScaleByArray = 0
    programmableFilter1Display.SetScaleArray = ['POINTS', 'SignedDistances']
    programmableFilter1Display.ScaleArrayComponent = ''
    programmableFilter1Display.UseScaleFunction = 1
    programmableFilter1Display.ScaleTransferFunction = 'PiecewiseFunction'
    programmableFilter1Display.OpacityByArray = 0
    programmableFilter1Display.OpacityArray = ['POINTS', 'SignedDistances']
    programmableFilter1Display.OpacityArrayComponent = ''
    programmableFilter1Display.OpacityTransferFunction = 'PiecewiseFunction'
    programmableFilter1Display.DataAxesGrid = 'GridAxesRepresentation'
    programmableFilter1Display.SelectionCellLabelBold = 0
    programmableFilter1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    programmableFilter1Display.SelectionCellLabelFontFamily = 'Arial'
    programmableFilter1Display.SelectionCellLabelFontFile = ''
    programmableFilter1Display.SelectionCellLabelFontSize = 18
    programmableFilter1Display.SelectionCellLabelItalic = 0
    programmableFilter1Display.SelectionCellLabelJustification = 'Left'
    programmableFilter1Display.SelectionCellLabelOpacity = 1.0
    programmableFilter1Display.SelectionCellLabelShadow = 0
    programmableFilter1Display.SelectionPointLabelBold = 0
    programmableFilter1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    programmableFilter1Display.SelectionPointLabelFontFamily = 'Arial'
    programmableFilter1Display.SelectionPointLabelFontFile = ''
    programmableFilter1Display.SelectionPointLabelFontSize = 18
    programmableFilter1Display.SelectionPointLabelItalic = 0
    programmableFilter1Display.SelectionPointLabelJustification = 'Left'
    programmableFilter1Display.SelectionPointLabelOpacity = 1.0
    programmableFilter1Display.SelectionPointLabelShadow = 0
    programmableFilter1Display.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    programmableFilter1Display.OSPRayScaleFunction.Points = [0.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
    programmableFilter1Display.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    programmableFilter1Display.GlyphType.TipResolution = 6
    programmableFilter1Display.GlyphType.TipRadius = 0.1
    programmableFilter1Display.GlyphType.TipLength = 0.35
    programmableFilter1Display.GlyphType.ShaftResolution = 6
    programmableFilter1Display.GlyphType.ShaftRadius = 0.03
    programmableFilter1Display.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    programmableFilter1Display.ScaleTransferFunction.Points = [-3.317788600921631, 0.0, 0.5, 0.0, 0.10040674358606339, 1.0, 0.5, 0.0]
    programmableFilter1Display.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    programmableFilter1Display.OpacityTransferFunction.Points = [-3.317788600921631, 0.0, 0.5, 0.0, 0.10040674358606339, 1.0, 0.5, 0.0]
    programmableFilter1Display.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    programmableFilter1Display.DataAxesGrid.XTitle = 'X Axis'
    programmableFilter1Display.DataAxesGrid.YTitle = 'Y Axis'
    programmableFilter1Display.DataAxesGrid.ZTitle = 'Z Axis'
    programmableFilter1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.XTitleFontFile = ''
    programmableFilter1Display.DataAxesGrid.XTitleBold = 0
    programmableFilter1Display.DataAxesGrid.XTitleItalic = 0
    programmableFilter1Display.DataAxesGrid.XTitleFontSize = 12
    programmableFilter1Display.DataAxesGrid.XTitleShadow = 0
    programmableFilter1Display.DataAxesGrid.XTitleOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.YTitleFontFile = ''
    programmableFilter1Display.DataAxesGrid.YTitleBold = 0
    programmableFilter1Display.DataAxesGrid.YTitleItalic = 0
    programmableFilter1Display.DataAxesGrid.YTitleFontSize = 12
    programmableFilter1Display.DataAxesGrid.YTitleShadow = 0
    programmableFilter1Display.DataAxesGrid.YTitleOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.ZTitleFontFile = ''
    programmableFilter1Display.DataAxesGrid.ZTitleBold = 0
    programmableFilter1Display.DataAxesGrid.ZTitleItalic = 0
    programmableFilter1Display.DataAxesGrid.ZTitleFontSize = 12
    programmableFilter1Display.DataAxesGrid.ZTitleShadow = 0
    programmableFilter1Display.DataAxesGrid.ZTitleOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.FacesToRender = 63
    programmableFilter1Display.DataAxesGrid.CullBackface = 0
    programmableFilter1Display.DataAxesGrid.CullFrontface = 1
    programmableFilter1Display.DataAxesGrid.ShowGrid = 0
    programmableFilter1Display.DataAxesGrid.ShowEdges = 1
    programmableFilter1Display.DataAxesGrid.ShowTicks = 1
    programmableFilter1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
    programmableFilter1Display.DataAxesGrid.AxesToLabel = 63
    programmableFilter1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.XLabelFontFile = ''
    programmableFilter1Display.DataAxesGrid.XLabelBold = 0
    programmableFilter1Display.DataAxesGrid.XLabelItalic = 0
    programmableFilter1Display.DataAxesGrid.XLabelFontSize = 12
    programmableFilter1Display.DataAxesGrid.XLabelShadow = 0
    programmableFilter1Display.DataAxesGrid.XLabelOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.YLabelFontFile = ''
    programmableFilter1Display.DataAxesGrid.YLabelBold = 0
    programmableFilter1Display.DataAxesGrid.YLabelItalic = 0
    programmableFilter1Display.DataAxesGrid.YLabelFontSize = 12
    programmableFilter1Display.DataAxesGrid.YLabelShadow = 0
    programmableFilter1Display.DataAxesGrid.YLabelOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
    programmableFilter1Display.DataAxesGrid.ZLabelFontFile = ''
    programmableFilter1Display.DataAxesGrid.ZLabelBold = 0
    programmableFilter1Display.DataAxesGrid.ZLabelItalic = 0
    programmableFilter1Display.DataAxesGrid.ZLabelFontSize = 12
    programmableFilter1Display.DataAxesGrid.ZLabelShadow = 0
    programmableFilter1Display.DataAxesGrid.ZLabelOpacity = 1.0
    programmableFilter1Display.DataAxesGrid.XAxisNotation = 'Mixed'
    programmableFilter1Display.DataAxesGrid.XAxisPrecision = 2
    programmableFilter1Display.DataAxesGrid.XAxisUseCustomLabels = 0
    programmableFilter1Display.DataAxesGrid.XAxisLabels = []
    programmableFilter1Display.DataAxesGrid.YAxisNotation = 'Mixed'
    programmableFilter1Display.DataAxesGrid.YAxisPrecision = 2
    programmableFilter1Display.DataAxesGrid.YAxisUseCustomLabels = 0
    programmableFilter1Display.DataAxesGrid.YAxisLabels = []
    programmableFilter1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
    programmableFilter1Display.DataAxesGrid.ZAxisPrecision = 2
    programmableFilter1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
    programmableFilter1Display.DataAxesGrid.ZAxisLabels = []
    programmableFilter1Display.DataAxesGrid.UseCustomBounds = 0
    programmableFilter1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    programmableFilter1Display.PolarAxes.Visibility = 0
    programmableFilter1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
    programmableFilter1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    programmableFilter1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
    programmableFilter1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    programmableFilter1Display.PolarAxes.EnableCustomRange = 0
    programmableFilter1Display.PolarAxes.CustomRange = [0.0, 1.0]
    programmableFilter1Display.PolarAxes.PolarAxisVisibility = 1
    programmableFilter1Display.PolarAxes.RadialAxesVisibility = 1
    programmableFilter1Display.PolarAxes.DrawRadialGridlines = 1
    programmableFilter1Display.PolarAxes.PolarArcsVisibility = 1
    programmableFilter1Display.PolarAxes.DrawPolarArcsGridlines = 1
    programmableFilter1Display.PolarAxes.NumberOfRadialAxes = 0
    programmableFilter1Display.PolarAxes.AutoSubdividePolarAxis = 1
    programmableFilter1Display.PolarAxes.NumberOfPolarAxis = 0
    programmableFilter1Display.PolarAxes.MinimumRadius = 0.0
    programmableFilter1Display.PolarAxes.MinimumAngle = 0.0
    programmableFilter1Display.PolarAxes.MaximumAngle = 90.0
    programmableFilter1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
    programmableFilter1Display.PolarAxes.Ratio = 1.0
    programmableFilter1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    programmableFilter1Display.PolarAxes.PolarAxisTitleVisibility = 1
    programmableFilter1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
    programmableFilter1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    programmableFilter1Display.PolarAxes.PolarLabelVisibility = 1
    programmableFilter1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
    programmableFilter1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
    programmableFilter1Display.PolarAxes.RadialLabelVisibility = 1
    programmableFilter1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
    programmableFilter1Display.PolarAxes.RadialLabelLocation = 'Bottom'
    programmableFilter1Display.PolarAxes.RadialUnitsVisibility = 1
    programmableFilter1Display.PolarAxes.ScreenSize = 10.0
    programmableFilter1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
    programmableFilter1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    programmableFilter1Display.PolarAxes.PolarAxisTitleFontFile = ''
    programmableFilter1Display.PolarAxes.PolarAxisTitleBold = 0
    programmableFilter1Display.PolarAxes.PolarAxisTitleItalic = 0
    programmableFilter1Display.PolarAxes.PolarAxisTitleShadow = 0
    programmableFilter1Display.PolarAxes.PolarAxisTitleFontSize = 12
    programmableFilter1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
    programmableFilter1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    programmableFilter1Display.PolarAxes.PolarAxisLabelFontFile = ''
    programmableFilter1Display.PolarAxes.PolarAxisLabelBold = 0
    programmableFilter1Display.PolarAxes.PolarAxisLabelItalic = 0
    programmableFilter1Display.PolarAxes.PolarAxisLabelShadow = 0
    programmableFilter1Display.PolarAxes.PolarAxisLabelFontSize = 12
    programmableFilter1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
    programmableFilter1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    programmableFilter1Display.PolarAxes.LastRadialAxisTextFontFile = ''
    programmableFilter1Display.PolarAxes.LastRadialAxisTextBold = 0
    programmableFilter1Display.PolarAxes.LastRadialAxisTextItalic = 0
    programmableFilter1Display.PolarAxes.LastRadialAxisTextShadow = 0
    programmableFilter1Display.PolarAxes.LastRadialAxisTextFontSize = 12
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
    programmableFilter1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    programmableFilter1Display.PolarAxes.EnableDistanceLOD = 1
    programmableFilter1Display.PolarAxes.DistanceLODThreshold = 0.7
    programmableFilter1Display.PolarAxes.EnableViewAngleLOD = 1
    programmableFilter1Display.PolarAxes.ViewAngleLODThreshold = 0.7
    programmableFilter1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
    programmableFilter1Display.PolarAxes.PolarTicksVisibility = 1
    programmableFilter1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
    programmableFilter1Display.PolarAxes.TickLocation = 'Both'
    programmableFilter1Display.PolarAxes.AxisTickVisibility = 1
    programmableFilter1Display.PolarAxes.AxisMinorTickVisibility = 0
    programmableFilter1Display.PolarAxes.ArcTickVisibility = 1
    programmableFilter1Display.PolarAxes.ArcMinorTickVisibility = 0
    programmableFilter1Display.PolarAxes.DeltaAngleMajor = 10.0
    programmableFilter1Display.PolarAxes.DeltaAngleMinor = 5.0
    programmableFilter1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
    programmableFilter1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
    programmableFilter1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
    programmableFilter1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
    programmableFilter1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    programmableFilter1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    programmableFilter1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    programmableFilter1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    programmableFilter1Display.PolarAxes.ArcMajorTickSize = 0.0
    programmableFilter1Display.PolarAxes.ArcTickRatioSize = 0.3
    programmableFilter1Display.PolarAxes.ArcMajorTickThickness = 1.0
    programmableFilter1Display.PolarAxes.ArcTickRatioThickness = 0.5
    programmableFilter1Display.PolarAxes.Use2DMode = 0
    programmableFilter1Display.PolarAxes.UseLogAxis = 0

    # hide data in view
    Hide(sphere0stl, renderView1)

    # show color bar/color legend
    programmableFilter1Display.SetScalarBarVisibility(renderView1, True)

    # update the view to ensure updated data information
    renderView1.Update()

    # get opacity transfer function/opacity map for 'SignedDistances'
    signedDistancesPWF = GetOpacityTransferFunction('SignedDistances')

    # create a new 'Glyph'
    glyph1 = Glyph(registrationName='Glyph1', Input=programmableFilter1,
    GlyphType='Arrow')
    glyph1.OrientationArray = ['POINTS', 'No orientation array']
    glyph1.ScaleArray = ['POINTS', 'SignedDistances']
    glyph1.VectorScaleMode = 'Scale by Magnitude'
    glyph1.ScaleFactor = 0.39000015258789067
    glyph1.GlyphTransform = 'Transform2'
    glyph1.GlyphMode = 'Uniform Spatial Distribution (Bounds Based)'
    glyph1.MaximumNumberOfSamplePoints = 5000
    glyph1.Seed = 10339
    glyph1.Stride = 1

    # init the 'Arrow' selected for 'GlyphType'
    glyph1.GlyphType.TipResolution = 6
    glyph1.GlyphType.TipRadius = 0.1
    glyph1.GlyphType.TipLength = 0.35
    glyph1.GlyphType.ShaftResolution = 6
    glyph1.GlyphType.ShaftRadius = 0.03
    glyph1.GlyphType.Invert = 0

    # init the 'Transform2' selected for 'GlyphTransform'
    glyph1.GlyphTransform.Translate = [0.0, 0.0, 0.0]
    glyph1.GlyphTransform.Rotate = [0.0, 0.0, 0.0]
    glyph1.GlyphTransform.Scale = [1.0, 1.0, 1.0]

    # Properties modified on glyph1
    glyph1.GlyphType = 'Sphere'
    glyph1.ScaleArray = ['POINTS', 'No scale array']
    glyph1.ScaleFactor = 0.1
    glyph1.GlyphMode = 'All Points'

    # show data in view
    glyph1Display = Show(glyph1, renderView1, 'GeometryRepresentation')

    # trace defaults for the display properties.
    glyph1Display.Selection = None
    glyph1Display.Representation = 'Surface'
    glyph1Display.ColorArrayName = ['POINTS', 'SignedDistances']
    glyph1Display.LookupTable = signedDistancesLUT
    glyph1Display.MapScalars = 1
    glyph1Display.MultiComponentsMapping = 0
    glyph1Display.InterpolateScalarsBeforeMapping = 1
    glyph1Display.Opacity = 1.0
    glyph1Display.PointSize = 2.0
    glyph1Display.LineWidth = 1.0
    glyph1Display.RenderLinesAsTubes = 0
    glyph1Display.RenderPointsAsSpheres = 0
    glyph1Display.Interpolation = 'Gouraud'
    glyph1Display.Specular = 0.0
    glyph1Display.SpecularColor = [1.0, 1.0, 1.0]
    glyph1Display.SpecularPower = 100.0
    glyph1Display.Luminosity = 0.0
    glyph1Display.Ambient = 0.0
    glyph1Display.Diffuse = 1.0
    glyph1Display.Roughness = 0.3
    glyph1Display.Metallic = 0.0
    glyph1Display.EdgeTint = [1.0, 1.0, 1.0]
    glyph1Display.SelectTCoordArray = 'None'
    glyph1Display.SelectNormalArray = 'Normals'
    glyph1Display.SelectTangentArray = 'None'
    glyph1Display.Texture = None
    glyph1Display.RepeatTextures = 1
    glyph1Display.InterpolateTextures = 0
    glyph1Display.SeamlessU = 0
    glyph1Display.SeamlessV = 0
    glyph1Display.UseMipmapTextures = 0
    glyph1Display.BaseColorTexture = None
    glyph1Display.NormalTexture = None
    glyph1Display.NormalScale = 1.0
    glyph1Display.MaterialTexture = None
    glyph1Display.OcclusionStrength = 1.0
    glyph1Display.EmissiveTexture = None
    glyph1Display.EmissiveFactor = [1.0, 1.0, 1.0]
    glyph1Display.FlipTextures = 0
    glyph1Display.BackfaceRepresentation = 'Follow Frontface'
    glyph1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    glyph1Display.BackfaceOpacity = 1.0
    glyph1Display.Position = [0.0, 0.0, 0.0]
    glyph1Display.Scale = [1.0, 1.0, 1.0]
    glyph1Display.Orientation = [0.0, 0.0, 0.0]
    glyph1Display.Origin = [0.0, 0.0, 0.0]
    glyph1Display.CoordinateShiftScaleMethod = 'Always Auto Shift Scale'
    glyph1Display.Pickable = 1
    glyph1Display.Triangulate = 0
    glyph1Display.UseShaderReplacements = 0
    glyph1Display.ShaderReplacements = ''
    glyph1Display.NonlinearSubdivisionLevel = 1
    glyph1Display.UseDataPartitions = 0
    glyph1Display.OSPRayUseScaleArray = 'All Approximate'
    glyph1Display.OSPRayScaleArray = 'SignedDistances'
    glyph1Display.OSPRayScaleFunction = 'PiecewiseFunction'
    glyph1Display.OSPRayMaterial = 'None'
    glyph1Display.Orient = 0
    glyph1Display.OrientationMode = 'Direction'
    glyph1Display.SelectOrientationVectors = 'None'
    glyph1Display.Scaling = 0
    glyph1Display.ScaleMode = 'No Data Scaling Off'
    glyph1Display.ScaleFactor = 0.39999998807907106
    glyph1Display.SelectScaleArray = 'SignedDistances'
    glyph1Display.GlyphType = 'Arrow'
    glyph1Display.UseGlyphTable = 0
    glyph1Display.GlyphTableIndexArray = 'SignedDistances'
    glyph1Display.UseCompositeGlyphTable = 0
    glyph1Display.UseGlyphCullingAndLOD = 0
    glyph1Display.LODValues = []
    glyph1Display.ColorByLODIndex = 0
    glyph1Display.GaussianRadius = 0.019999999403953552
    glyph1Display.ShaderPreset = 'Sphere'
    glyph1Display.CustomTriangleScale = 3
    glyph1Display.CustomShader = """ // This custom shader code define a gaussian blur
    // Please take a look into vtkSMPointGaussianRepresentation.cxx
    // for other custom shader examples
    //VTK::Color::Impl
    float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
    float gaussian = exp(-0.5*dist2);
    opacity = opacity*gaussian;
    """
    glyph1Display.Emissive = 0
    glyph1Display.ScaleByArray = 0
    glyph1Display.SetScaleArray = ['POINTS', 'SignedDistances']
    glyph1Display.ScaleArrayComponent = ''
    glyph1Display.UseScaleFunction = 1
    glyph1Display.ScaleTransferFunction = 'PiecewiseFunction'
    glyph1Display.OpacityByArray = 0
    glyph1Display.OpacityArray = ['POINTS', 'SignedDistances']
    glyph1Display.OpacityArrayComponent = ''
    glyph1Display.OpacityTransferFunction = 'PiecewiseFunction'
    glyph1Display.DataAxesGrid = 'GridAxesRepresentation'
    glyph1Display.SelectionCellLabelBold = 0
    glyph1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    glyph1Display.SelectionCellLabelFontFamily = 'Arial'
    glyph1Display.SelectionCellLabelFontFile = ''
    glyph1Display.SelectionCellLabelFontSize = 18
    glyph1Display.SelectionCellLabelItalic = 0
    glyph1Display.SelectionCellLabelJustification = 'Left'
    glyph1Display.SelectionCellLabelOpacity = 1.0
    glyph1Display.SelectionCellLabelShadow = 0
    glyph1Display.SelectionPointLabelBold = 0
    glyph1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    glyph1Display.SelectionPointLabelFontFamily = 'Arial'
    glyph1Display.SelectionPointLabelFontFile = ''
    glyph1Display.SelectionPointLabelFontSize = 18
    glyph1Display.SelectionPointLabelItalic = 0
    glyph1Display.SelectionPointLabelJustification = 'Left'
    glyph1Display.SelectionPointLabelOpacity = 1.0
    glyph1Display.SelectionPointLabelShadow = 0
    glyph1Display.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    glyph1Display.OSPRayScaleFunction.Points = [0.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
    glyph1Display.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    glyph1Display.GlyphType.TipResolution = 6
    glyph1Display.GlyphType.TipRadius = 0.1
    glyph1Display.GlyphType.TipLength = 0.35
    glyph1Display.GlyphType.ShaftResolution = 6
    glyph1Display.GlyphType.ShaftRadius = 0.03
    glyph1Display.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    glyph1Display.ScaleTransferFunction.Points = [-3.317788600921631, 0.0, 0.5, 0.0, 0.10040674358606339, 1.0, 0.5, 0.0]
    glyph1Display.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    glyph1Display.OpacityTransferFunction.Points = [-3.317788600921631, 0.0, 0.5, 0.0, 0.10040674358606339, 1.0, 0.5, 0.0]
    glyph1Display.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    glyph1Display.DataAxesGrid.XTitle = 'X Axis'
    glyph1Display.DataAxesGrid.YTitle = 'Y Axis'
    glyph1Display.DataAxesGrid.ZTitle = 'Z Axis'
    glyph1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.XTitleFontFile = ''
    glyph1Display.DataAxesGrid.XTitleBold = 0
    glyph1Display.DataAxesGrid.XTitleItalic = 0
    glyph1Display.DataAxesGrid.XTitleFontSize = 12
    glyph1Display.DataAxesGrid.XTitleShadow = 0
    glyph1Display.DataAxesGrid.XTitleOpacity = 1.0
    glyph1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.YTitleFontFile = ''
    glyph1Display.DataAxesGrid.YTitleBold = 0
    glyph1Display.DataAxesGrid.YTitleItalic = 0
    glyph1Display.DataAxesGrid.YTitleFontSize = 12
    glyph1Display.DataAxesGrid.YTitleShadow = 0
    glyph1Display.DataAxesGrid.YTitleOpacity = 1.0
    glyph1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.ZTitleFontFile = ''
    glyph1Display.DataAxesGrid.ZTitleBold = 0
    glyph1Display.DataAxesGrid.ZTitleItalic = 0
    glyph1Display.DataAxesGrid.ZTitleFontSize = 12
    glyph1Display.DataAxesGrid.ZTitleShadow = 0
    glyph1Display.DataAxesGrid.ZTitleOpacity = 1.0
    glyph1Display.DataAxesGrid.FacesToRender = 63
    glyph1Display.DataAxesGrid.CullBackface = 0
    glyph1Display.DataAxesGrid.CullFrontface = 1
    glyph1Display.DataAxesGrid.ShowGrid = 0
    glyph1Display.DataAxesGrid.ShowEdges = 1
    glyph1Display.DataAxesGrid.ShowTicks = 1
    glyph1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
    glyph1Display.DataAxesGrid.AxesToLabel = 63
    glyph1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.XLabelFontFile = ''
    glyph1Display.DataAxesGrid.XLabelBold = 0
    glyph1Display.DataAxesGrid.XLabelItalic = 0
    glyph1Display.DataAxesGrid.XLabelFontSize = 12
    glyph1Display.DataAxesGrid.XLabelShadow = 0
    glyph1Display.DataAxesGrid.XLabelOpacity = 1.0
    glyph1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.YLabelFontFile = ''
    glyph1Display.DataAxesGrid.YLabelBold = 0
    glyph1Display.DataAxesGrid.YLabelItalic = 0
    glyph1Display.DataAxesGrid.YLabelFontSize = 12
    glyph1Display.DataAxesGrid.YLabelShadow = 0
    glyph1Display.DataAxesGrid.YLabelOpacity = 1.0
    glyph1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
    glyph1Display.DataAxesGrid.ZLabelFontFile = ''
    glyph1Display.DataAxesGrid.ZLabelBold = 0
    glyph1Display.DataAxesGrid.ZLabelItalic = 0
    glyph1Display.DataAxesGrid.ZLabelFontSize = 12
    glyph1Display.DataAxesGrid.ZLabelShadow = 0
    glyph1Display.DataAxesGrid.ZLabelOpacity = 1.0
    glyph1Display.DataAxesGrid.XAxisNotation = 'Mixed'
    glyph1Display.DataAxesGrid.XAxisPrecision = 2
    glyph1Display.DataAxesGrid.XAxisUseCustomLabels = 0
    glyph1Display.DataAxesGrid.XAxisLabels = []
    glyph1Display.DataAxesGrid.YAxisNotation = 'Mixed'
    glyph1Display.DataAxesGrid.YAxisPrecision = 2
    glyph1Display.DataAxesGrid.YAxisUseCustomLabels = 0
    glyph1Display.DataAxesGrid.YAxisLabels = []
    glyph1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
    glyph1Display.DataAxesGrid.ZAxisPrecision = 2
    glyph1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
    glyph1Display.DataAxesGrid.ZAxisLabels = []
    glyph1Display.DataAxesGrid.UseCustomBounds = 0
    glyph1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    glyph1Display.PolarAxes.Visibility = 0
    glyph1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
    glyph1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    glyph1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
    glyph1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    glyph1Display.PolarAxes.EnableCustomRange = 0
    glyph1Display.PolarAxes.CustomRange = [0.0, 1.0]
    glyph1Display.PolarAxes.PolarAxisVisibility = 1
    glyph1Display.PolarAxes.RadialAxesVisibility = 1
    glyph1Display.PolarAxes.DrawRadialGridlines = 1
    glyph1Display.PolarAxes.PolarArcsVisibility = 1
    glyph1Display.PolarAxes.DrawPolarArcsGridlines = 1
    glyph1Display.PolarAxes.NumberOfRadialAxes = 0
    glyph1Display.PolarAxes.AutoSubdividePolarAxis = 1
    glyph1Display.PolarAxes.NumberOfPolarAxis = 0
    glyph1Display.PolarAxes.MinimumRadius = 0.0
    glyph1Display.PolarAxes.MinimumAngle = 0.0
    glyph1Display.PolarAxes.MaximumAngle = 90.0
    glyph1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
    glyph1Display.PolarAxes.Ratio = 1.0
    glyph1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    glyph1Display.PolarAxes.PolarAxisTitleVisibility = 1
    glyph1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
    glyph1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    glyph1Display.PolarAxes.PolarLabelVisibility = 1
    glyph1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
    glyph1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
    glyph1Display.PolarAxes.RadialLabelVisibility = 1
    glyph1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
    glyph1Display.PolarAxes.RadialLabelLocation = 'Bottom'
    glyph1Display.PolarAxes.RadialUnitsVisibility = 1
    glyph1Display.PolarAxes.ScreenSize = 10.0
    glyph1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
    glyph1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    glyph1Display.PolarAxes.PolarAxisTitleFontFile = ''
    glyph1Display.PolarAxes.PolarAxisTitleBold = 0
    glyph1Display.PolarAxes.PolarAxisTitleItalic = 0
    glyph1Display.PolarAxes.PolarAxisTitleShadow = 0
    glyph1Display.PolarAxes.PolarAxisTitleFontSize = 12
    glyph1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
    glyph1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    glyph1Display.PolarAxes.PolarAxisLabelFontFile = ''
    glyph1Display.PolarAxes.PolarAxisLabelBold = 0
    glyph1Display.PolarAxes.PolarAxisLabelItalic = 0
    glyph1Display.PolarAxes.PolarAxisLabelShadow = 0
    glyph1Display.PolarAxes.PolarAxisLabelFontSize = 12
    glyph1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
    glyph1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    glyph1Display.PolarAxes.LastRadialAxisTextFontFile = ''
    glyph1Display.PolarAxes.LastRadialAxisTextBold = 0
    glyph1Display.PolarAxes.LastRadialAxisTextItalic = 0
    glyph1Display.PolarAxes.LastRadialAxisTextShadow = 0
    glyph1Display.PolarAxes.LastRadialAxisTextFontSize = 12
    glyph1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    glyph1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    glyph1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    glyph1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
    glyph1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
    glyph1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
    glyph1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    glyph1Display.PolarAxes.EnableDistanceLOD = 1
    glyph1Display.PolarAxes.DistanceLODThreshold = 0.7
    glyph1Display.PolarAxes.EnableViewAngleLOD = 1
    glyph1Display.PolarAxes.ViewAngleLODThreshold = 0.7
    glyph1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
    glyph1Display.PolarAxes.PolarTicksVisibility = 1
    glyph1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
    glyph1Display.PolarAxes.TickLocation = 'Both'
    glyph1Display.PolarAxes.AxisTickVisibility = 1
    glyph1Display.PolarAxes.AxisMinorTickVisibility = 0
    glyph1Display.PolarAxes.ArcTickVisibility = 1
    glyph1Display.PolarAxes.ArcMinorTickVisibility = 0
    glyph1Display.PolarAxes.DeltaAngleMajor = 10.0
    glyph1Display.PolarAxes.DeltaAngleMinor = 5.0
    glyph1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
    glyph1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
    glyph1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
    glyph1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
    glyph1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    glyph1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    glyph1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    glyph1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    glyph1Display.PolarAxes.ArcMajorTickSize = 0.0
    glyph1Display.PolarAxes.ArcTickRatioSize = 0.3
    glyph1Display.PolarAxes.ArcMajorTickThickness = 1.0
    glyph1Display.PolarAxes.ArcTickRatioThickness = 0.5
    glyph1Display.PolarAxes.Use2DMode = 0
    glyph1Display.PolarAxes.UseLogAxis = 0

    # show color bar/color legend
    glyph1Display.SetScalarBarVisibility(renderView1, True)

    # update the view to ensure updated data information
    renderView1.Update()

    # Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
    signedDistancesLUT.ApplyPreset('Jet', True)

    # hide data in view
    Hide(programmableFilter1, renderView1)

    # set active source
    SetActiveSource(sphere0stl)

    # show data in view
    sphere0stlDisplay = Show(sphere0stl, renderView1, 'GeometryRepresentation')

    # Properties modified on sphere0stlDisplay
    sphere0stlDisplay.Opacity = 0.5

    #================================================================
    # addendum: following script captures some of the application
    # state to faithfully reproduce the visualization during playback
    #================================================================

    # get layout
    #renderView1.Update ()
    #layout1 = GetLayout (renderView1)

    #--------------------------------
    # saving layout sizes for layouts

    # layout/tab size in pixels
    #layout1.SetSize(1479, 526)

    #-----------------------------------
    # saving camera placements for views

    # current camera placement for renderView1
    #renderView1.CameraPosition = [41.0, 41.0, 22.753250481993028]
    #renderView1.CameraFocalPoint = [41.0, 41.0, 0.0]
    #renderView1.CameraParallelScale = 5.888974562727905

    #--------------------------------------------
    # uncomment the following to render all views
    # RenderAllViews()
    # alternatively, if you want to write images, you can use SaveScreenshot(...).


    SaveState('C:\\Users\\utente\\Desktop\\PythonParaview\\Data\\sphere_data_' + str(index_model) +
    '.pvsm')

    print(str(index_model) + ' saved')